package com.emr.dao;

import com.emr.entity.Emr_Dictionary;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Emr_DictionaryMapper {
    List<Emr_Dictionary> selectDictionaryByTypeCode(String typeCode);
    List<Emr_Dictionary> selectAll(@Param("searchContext") String searchContext);
    void insert(Emr_Dictionary emrDictionary);
    void updateByPrimaryKeySelective(Emr_Dictionary emrDictionary);
    int deleteByPrimaryKey(Integer id);
    String getDictionaryByParentId(Integer parentId);

    List<Emr_Dictionary> getDictionaryByTypeCodes(@Param("typeCodes")String typeCodes);
}